#!/usr/bin/make -f

%:
	dh $@ --with=python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	rm -f doc/license.rst
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d doc/.build/.doctrees -N doc doc/.build/html

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rm debian/python-sphinxcontrib.issuetracker/usr/lib/python*/dist-packages/sphinxcontrib/issuetracker/issuetracker.css

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf doc/.build sphinxcontrib_issuetracker.egg-info
	dh_clean

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst
